ts-jest versions and peer dependencies

The table below has a list of all versions of ts-jest compatible peers dependencies.

Version Peer Dependency Versions
0.1.11 - 0.1.13
  • typescript @ ~2.0.6
  • jest @ ~16.0.2
17.0.0
  • typescript @ ~2.0.6
  • jest @ ~17.0.0
17.0.1 - 17.0.3
  • typescript @ ^2.0.6 || ^2.1.0-dev || ^2.2.0-dev
  • jest @ ~17.0.0
18.0.0
  • typescript @ ^2.0.6 || ^2.1.0-dev || ^2.2.0-dev
  • jest @ ~18.0.0
18.0.1 - 18.0.3
  • typescript @ ^2.0.6 || ^2.1.0-dev || ^2.2.0-dev
  • jest @ ^18.0.0
19.0.0 - 19.0.8
  • typescript @ ^2.1.0 || ^2.2.0-dev
  • jest @ ^19.0.0
19.0.9 - 19.0.10
  • typescript @ ^2.1.0
  • jest @ ^19.0.0
19.0.11
  • jest @ ^19.0.0
  • typescript @ ^2.1.0
19.0.12
  • babel-jest @ ^19.0.0
  • jest @ ^19.0.0
  • typescript @ ^2.1.0
19.0.13 - 19.0.14
  • jest @ ^19.0.0
  • typescript @ ^2.1.0
20.0.0
  • jest @ ^20.0.0
  • typescript @ ^2.1.0
20.0.1 - 20.0.11
  • jest @ ^20.0.0
  • typescript @ 2.x
20.0.12 - 20.0.14
  • jest @ ^20.0.0 || ^20.1.0-alpha.1 || ^21.0.0-alpha.1
  • typescript @ 2.x
21.0.0 - 21.0.1
  • jest @ ^21.0.0 || ^21.1.0-alpha.1 || ^22.0.0-alpha.1
  • typescript @ 2.x
21.1.0 - 21.1.4
  • jest @ ^21.1.0 || ^21.1.0-alpha.1 || ^22.0.0-alpha.1
  • typescript @ 2.x
21.2.0
  • jest @ ^21.1.0 || ^21.3.0-alpha.1 || ^22.0.0-alpha.1
  • typescript @ 2.x
21.2.1 - 21.2.2
  • jest @ ^21.1.0 || ^21.1.0-alpha.1 || ^22.0.0-alpha.1
  • typescript @ 2.x
21.2.3 - 21.2.4
  • jest @ ^21.1.0 || ^21.3.0-alpha.1 || ^22.0.0-alpha.1
  • typescript @ 2.x
22.0.0 - 22.0.4
  • jest @ ^22.0.1 || ^22.1.0-alpha.1 || ^23.0.0-alpha.1
  • typescript @ 2.x
22.4.0 - 22.4.6
  • jest @ ^22.4.0 || ^22.5.0-alpha.1 || ^23.0.0-alpha.1
  • typescript @ 2.x
23.0.0 - 23.0.1
  • babel-core @ ^6.26.3 || ^7.0.0-0
  • jest @ ^23.0.0 || ^24.0.0
  • typescript @ 2.x
23.1.0 - 23.1.4
  • babel-core @ ^6.0.0 || ^7.0.0-0
  • babel-jest @ ^23.0.0 || ^24.0.0
  • jest @ ^23.0.0 || ^24.0.0
  • typescript @ ^2.0.0 || ^3.0.0
23.10.0 - 23.10.5
  • jest @ >=22 <24
24.0.0 - 24.3.0
  • jest @ >=24 <25
25.0.0 - 25.3.1
  • jest @ >=25 <26
25.4.0 - 25.5.1
  • jest @ >=25 <26
  • typescript @ >=3.4 <4.0
26.0.0 - 26.2.0
  • jest @ >=26 <27
  • typescript @ >=3.8 <4.0
26.3.0 - 26.5.4
  • jest @ >=26 <27
  • typescript @ >=3.8 <5.0